Bug 90547 - [BDW/BSW/SKL Bisected]Piglit/glean@vertprog1-rsq_test_2_(reciprocal_square_root_of_negative_value) fais
Summary: [BDW/BSW/SKL Bisected]Piglit/glean@vertprog1-rsq_test_2_(reciprocal_square_ro...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: All Linux (All)
: high normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-21 06:11 UTC by lu hua
Modified: 2015-06-12 05:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
output (3.80 KB, text/plain)
2015-05-21 06:11 UTC, lu hua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2015-05-21 06:11:30 UTC
Created attachment 115938 [details]
output

System Environment:
--------------------------
Platform: BSW
Libdrm:		(master)libdrm-2.4.61-1-ge9ea1f42d14e10852f292f3470aee260c7349978
Mesa:		(master)4ee69a97bb0af0cc216539c48b246ea2abf8f208
Xserver:	(master)xorg-server-1.17.0-146-gfc59c8fe8d941b0ec1e98c59bc57b1f97dba149d
Xf86_video_intel:(master)2.99.917-310-ge617c1941c4e5ee90b69221013aab799eace925d 
Libva:		(master)9bfde38f19d81b7f33db8c4c8e80420c9e60429e
Libva_intel_driver:(master)8dda0650b55c467200c34ada127b5d9b54edea5c
Kernel:   (drm-intel-nightly)7e30ba951445ac86f6235a6cf55fc84730c1baf3

Bug detailed description:
-----------------------------
It fails on BDW/BSW/SKL with mesa master branch, it works well on 10.5 branch.

Bisect shows: 42298b05d1ebd8b17b89411723ae13295643e496 is the first bad commit
commit 42298b05d1ebd8b17b89411723ae13295643e496
Author:     Jason Ekstrand <jason.ekstrand@intel.com>
AuthorDate: Thu May 7 15:07:49 2015 -0700
Commit:     Jason Ekstrand <jason.ekstrand@intel.com>
CommitDate: Mon May 18 15:32:00 2015 -0700

    i965: Use NIR by default for vertex shaders on GEN8+

    GLSL IR vs. NIR shader-db results for SIMD8 vertex shaders on Broadwell:

       total instructions in shared programs: 2742062 -> 2681339 (-2.21%)
       instructions in affected programs:     1514770 -> 1454047 (-4.01%)
       helped:                                5813
       HURT:                                  1120

    The gained programs are ARB vertext programs that were previously going
    through the vec4 backend.  Now that we have prog_to_nir, ARB vertex
    programs can go through the scalar backend so they show up as "gained" in
    the shader-db results.

    Acked-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Ian Romanick <ian.d.romanick@intel.com>
    Acked-by: Matt Turner <mattst88@gmail.com>


Reproduce steps:
---------------------------- 
1. xinit
2. PIGLIT_TEST='RSQ test 2 (reciprocal square root of negative value)' bin/glean -o -v -v -v -t +vertProg1
Comment 1 Kenneth Graunke 2015-06-04 09:01:07 UTC
Fix on the list:
http://lists.freedesktop.org/archives/mesa-dev/2015-June/085695.html
Comment 2 Kenneth Graunke 2015-06-05 05:03:37 UTC
Fixed in master with:

commit 15a12795c6f3edef0e1cbab39b6da3d5b8f64fc3
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Thu Jun 4 01:24:07 2015 -0700

    prog_to_nir: Make RSQ properly take the absolute value of its argument.
Comment 3 lu hua 2015-06-08 02:19:08 UTC
Verified.Fixed.
Comment 4 Gordon Jin 2015-06-12 05:36:02 UTC
Ken, would you cherry pick this to 10.6?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.